---
title: "Uses"
date: 2022-09-20T21:15:19+08:00
lastmod: 2024-01-31T00:20:59.5965180+08:00
draft: false
comments: true
---

无意间发现了GitHub上[wesbos/awesome-uses](https://github.com/wesbos/awesome-uses)这个项目，看了这么多人的`/uses`页面，我也不得不跟一下风。以下是我正在使用的软硬件以及服务。

## 硬件

* 💻：Yoga Pro 14s 2022 (Ryzen 7 6800HS + RTX 3050 Laptop)
* 📱：Smartisan 坚果 Pro 3
* ⌨️：ikbc C87
* 🎮：Nintendo Switch (original version)

## 软件

* **OS**：💻Windows 11 / 📱Android (Smartisan OS)
* **代码编辑器**：[Visual Studio Code](https://code.visualstudio.com/) (with "Modern" Theme and [Maple Mono](https://github.com/subframe7536/Maple-font) font)
* **Markdown编辑器**：[Typora](https://typora.io/)
* **终端模拟器**：[Windows Terminal](https://github.com/microsoft/terminal)
* **Shell**：[PowerShell 7](https://github.com/PowerShell/PowerShell) (with [starship](https://starship.rs/))
* **包管理器**：[Scoop](https://scoop.sh/)
* **浏览器**：Microsoft Edge (主力)  + Firefox Developer Edition (开发、测试用)
* **笔记/PKM**：[Logseq](https://logseq.com) + [Anytype](https://anytype.io/)
* **其他**：
  * 7-Zip
  * Git
  * DaVinci Resolve
  * Affinity 全家桶
  * OBS Studio
* **Self-hosted**：
  * [File Browser](https://filebrowser.org/)：文件浏览器
  * [Gitea](https://gitea.io/)：自托管Git服务
  * [yarr!](https://github.com/nkanaev/yarr)：RSS阅读器
  * [PocketBase](https://pocketbase.io/)：后端服务
  * [Vaultwarden](https://github.com/dani-garcia/vaultwarden)：密码管理器
  * [Syncthing](https://syncthing.net/)：P2P文件同步工具
  * [GoToSocial](https://gotosocial.org/)：一个ActivityPub协议实现，比Mastodon轻量得多
  * [dufs](https://github.com/sigoden/dufs)：一个简单的文件服务器
  * [maddy](https://maddy.email/)：电子邮件服务
  * [alps](https://git.sr.ht/~migadu/alps)：Web邮件客户端
  * 服务器基础服务：
    * [Traefik](https://traefik.io/)：反向代理
    * [Authelia](https://www.authelia.com/)：单点登录服务
    * [Dozzle](https://dozzle.dev/)：Docker日志查看器、状态监控
    * [Kopia](https://kopia.io/)：备份工具
    * [rdiff-backup](https://rdiff-backup.net/)：另一个备份工具
    * [gobackup](https://github.com/gobackup/gobackup)：另另一个备份工具
  * 暂不再使用但是非常值得推荐的项目：
    * [Umami](https://umami.is/)：统计服务
    * [n8n](https://n8n.io/)：自动化平台
    * [NocoDB](https://nocodb.com/)：多维表格，无代码、低代码平台
    * [homepage](https://github.com/benphelps/homepage)：一个高度可定制化的个人仪表盘
    * [Dokemon](https://dokemon.dev/)：Docker管理GUI
    * [Dockge](https://dockge.kuma.pet/)：Docker管理GUI
    * [Navidrome](https://www.navidrome.org/)：私人音乐流媒体服务


## 订阅和服务

我在Notion上做了一个[表格](https://sassy-wolfsbane-319.notion.site/2deb81bf4ce2469689e70ffde46e4b11?v=34d4ed700641473c8e76ebc9ba9b05dc)，用于追踪我的订阅服务和周期性固定支出。
